Bug 25798 - Copyright year to Holds to pull report
Summary: Copyright year to Holds to pull report
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 20.05
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Peter Vashchuk
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-18 07:33 UTC by Minna Kivinen
Modified: 2020-07-27 17:50 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 25798: Add copyright year to "Holds to pull" report (2.45 KB, patch)
2020-06-22 14:01 UTC, Peter Vashchuk
Details | Diff | Splinter Review
Bug 25798: Add copyright year to "Holds to pull" report (2.79 KB, patch)
2020-06-26 21:07 UTC, Peter Vashchuk
Details | Diff | Splinter Review
Bug 25798: Add copyright year to "Holds to pull" report (2.85 KB, patch)
2020-07-07 13:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25798: Add copyright year to "Holds to pull" report (2.90 KB, patch)
2020-07-18 17:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Minna Kivinen 2020-06-18 07:33:34 UTC
Holds to pull -report should show copyright year (publication year) information of a book. Copyright year can be fetched from biblio -table, there is no need to get it from metadata -table. Copyright year can be printed with title -information.
(Earlier it was possible to use Marc to keyword -feature, but there is not that anymore available).
In scientific libraries it is very essential to know which edition is needed.
Comment 1 Peter Vashchuk 2020-06-22 14:01:46 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2020-06-22 20:54:57 UTC
Hi Peter, there is a catch here:

MARC21 maps to copyrightdate by default
UNIMARC maps to publicationyear by default

We catch this in a lot of places to make the year appear for both. Could you please add a fallback to catch and display whatever is used? There should be quite a few examples in codebase.

Thank you!
Comment 3 Peter Vashchuk 2020-06-26 21:07:52 UTC
Created attachment 106354 [details] [review]
Bug 25798: Add copyright year to "Holds to pull" report

Display copyright year (publication year) of book
together with title in "Holds to pull" report.

Copyright year is fetched from biblio -table as "copyrightyear"
and displayed when the preferred marc is set to MARC21.
Publication year is fetched from biblioitems -table as "publicationyear"
and displayed when the preferred marc is set to UNIMARC.

1. Place a hold on book with known copyright year.
2. Go to /cgi-bin/koha/circ/pendingreserves.pl and check the "title"
table of that book that you placed hold on.
3. Observe that there's no information about publication year in that
field.
4. Apply patch.
5. Repeat step 2.
6. Observe that copyright year (publication year) of book appeared
in the title table after book's title and author.

Mentored-by: Andrew Nugged <nugged@gmail.com>
Comment 4 Owen Leonard 2020-07-07 13:48:26 UTC
Created attachment 106633 [details] [review]
Bug 25798: Add copyright year to "Holds to pull" report

Display copyright year (publication year) of book
together with title in "Holds to pull" report.

Copyright year is fetched from biblio -table as "copyrightyear"
and displayed when the preferred marc is set to MARC21.
Publication year is fetched from biblioitems -table as "publicationyear"
and displayed when the preferred marc is set to UNIMARC.

1. Place a hold on book with known copyright year.
2. Go to /cgi-bin/koha/circ/pendingreserves.pl and check the "title"
table of that book that you placed hold on.
3. Observe that there's no information about publication year in that
field.
4. Apply patch.
5. Repeat step 2.
6. Observe that copyright year (publication year) of book appeared
in the title table after book's title and author.

Mentored-by: Andrew Nugged <nugged@gmail.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Katrin Fischer 2020-07-18 17:19:31 UTC
Created attachment 107069 [details] [review]
Bug 25798: Add copyright year to "Holds to pull" report

Display copyright year (publication year) of book
together with title in "Holds to pull" report.

Copyright year is fetched from biblio -table as "copyrightyear"
and displayed when the preferred marc is set to MARC21.
Publication year is fetched from biblioitems -table as "publicationyear"
and displayed when the preferred marc is set to UNIMARC.

1. Place a hold on book with known copyright year.
2. Go to /cgi-bin/koha/circ/pendingreserves.pl and check the "title"
table of that book that you placed hold on.
3. Observe that there's no information about publication year in that
field.
4. Apply patch.
5. Repeat step 2.
6. Observe that copyright year (publication year) of book appeared
in the title table after book's title and author.

Mentored-by: Andrew Nugged <nugged@gmail.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2020-07-20 15:49:08 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-07-27 17:50:24 UTC
enhancement will not be backported to 20.05.x series